GetErrorCodeSolutions

Updated at:
Copy as MD

Retrieves solutions for a specified error code.

Operation description

Authorization is not required for this API operation because it queries public information and does not access account-specific data.

Try it now

Try this API in OpenAPI Explorer, no manual signing needed. Successful calls auto-generate SDK code matching your parameters. Download it with built-in credential security for local usage.

Test

RAM authorization

No authorization for this operation. If you encounter issues with this operation, contact technical support.

Request syntax

GET /getErrorCodeSolutions HTTP/1.1

Request parameters

Parameter

Type

Required

Description

Example

errorCode

string

Yes

The error code for which you want to retrieve a solution.

IncorrectStatus.TransitRouter

errorMessage

string

No

The error message for which you want to retrieve a solution. This parameter must be used with the errorCode parameter.

The resource is not in a valid state for the operation.

product

string

No

The product code. You can obtain the product code in one of the following ways:

  • Call the GetRequestLog API operation to obtain the product code from the response.

  • Find the product code in the URL of the product page on OpenAPI Explorer. For example, the URL for Short Message Service is https://api.alibabacloud.com/product/Dysmsapi. The product code is Dysmsapi.

Ecs

acceptLanguage

string

No

The language of the solution. Valid values are zh-CN (Chinese) and en-US (English). If a solution in the specified language is not available, an empty response is returned.

en-US

Valid values:

  • en-US :

    en-US

  • zh-CN :

    zh-CN

zh-CN

Response elements

Element

Type

Description

Example

object

The response schema.

solutions

array<object>

A list of solutions. Solutions may not be available for all errors and are subject to change. If you have feedback, submit a ticket or contact us through OpenAPI Explorer.

object

The details of a solution. Each object in the array contains the following properties:

content

string

The content of the solution, returned in Markdown format.

Unsupported transit router status\n====\n\nCause\n----\n\nThe transit router is in an unstable state.\n\n* * *\n\nSolution\n----\n\nTry again after the transit router enters a stable state. You can check whether the transit router is in a stable state based on the following information.\n\nExample\n------\n\nBefore you proceed, make sure that the transit route is in a stable state.\n\n1. Go to the console. If the status of the transit router in the Transit Router list is Available, the transit router is in a stable state.\n\n2. Call the ListTransitRouters operation. If Active is returned for Status, the transit router is in a stable state.

solutionId

string

The solution ID.

0017-00000502

product

string

The product code to which the solution belongs.

Ecs

productName

string

The product name to which the solution belongs.

Elastic Compute Service

errorCode

string

The error code that corresponds to the solution.

IncorrectStatus.TransitRouter

errorMessage

string

The error message that corresponds to the solution.

The resource is not in a valid state for the operation.

requestId

string

The request ID.

A707AFA8-1A4C-5B2A-A165-8436C1EA38DB

Examples

Success response

JSON format

{
  "solutions": [
    {
      "content": "Unsupported transit router status\\n====\\n\\nCause\\n----\\n\\nThe transit router is in an unstable state.\\n\\n* * *\\n\\nSolution\\n----\\n\\nTry again after the transit router enters a stable state. You can check whether the transit router is in a stable state based on the following information.\\n\\nExample\\n------\\n\\nBefore you proceed, make sure that the transit route is in a stable state.\\n\\n1. Go to the console. If the status of the transit router in the Transit Router list is Available, the transit router is in a stable state.\\n\\n2. Call the ListTransitRouters operation. If Active is returned for Status, the transit router is in a stable state.",
      "solutionId": "0017-00000502",
      "product": "Ecs",
      "productName": "Elastic Compute Service",
      "errorCode": "IncorrectStatus.TransitRouter",
      "errorMessage": "The resource is not in a valid state for the operation."
    }
  ],
  "requestId": "A707AFA8-1A4C-5B2A-A165-8436C1EA38DB"
}

Error codes

HTTP status code

Error code

Error message

Description

400 InvalidParam.AcceptLanguage Accepted language should only be zh-CN or en-US. Invalid argument, only accepted languages are zh-CN or en-US.
400 InvalidParam.ErrorCode The errorCode should be a string and cannot be empty. The ErrorCode parameter is invalid. It should be a string and cannot be empty.
400 InvalidParam.ErrorMessage The errorMessage should be a string or null. The parameter errorMessage is invalid. ErrorMessage should be a string or null.
400 InvalidParam.Product The product should be a string or null. The argument product is not valid, it should be a string or null.
404 NotFound.Product The provided product does not exist. The product name you provided does not exist.

See Error Codes for a complete list.

Release notes

See Release Notes for a complete list.